Page MenuHomePhabricator

Africa Wikimedia Developers IRC general meeting #11
Closed, ResolvedPublic

Description

Information regarding upcoming meeting

NOTE: For last meeting and minutes, see here: https://phabricator.wikimedia.org/T192441.

When: 12th October, 2018
Time: 4pm - 5:30pm UTC
Where: #wikimedia-dev-africa on Freenode
Hosts: @rosalieper, @Flixtey, @samuelguebo, @D3r1ck01

Meeting Agenda

  • Quick welcome of participants.
  • Talk a little bit / showcase the deployment calendar: T206401.
  • Discussion / updates about Wikimedia Outreach programs (GCI, GSoC, Outreachy etc).
  • How to go about selecting and fixing bugs on Wikimedia Projects?
  • Q/A session from participants of the meeting.
  • Closing remarks and conclusion.

Meeting Logs

12018-10-12 16:00:26 <d3r1ck> o/
22018-10-12 16:02:54 ** mukaram joined channel
32018-10-12 16:02:57 ** CFisch_NA changed nickname to CFisch_remote
42018-10-12 16:03:02 <mukaram> hello
52018-10-12 16:06:19 <d3r1ck> mukaram: Hey!
62018-10-12 16:07:03 <d3r1ck> Waiting for others to show up!
72018-10-12 16:07:50 <d3r1ck> mukaram: Can you access this? https://phabricator.wikimedia.org/T201679
82018-10-12 16:08:43 <d3r1ck> is not feeling too good today so will wait for other hosts to show up and continue the meeting :(
92018-10-12 16:15:55 <d3r1ck> mukaram: Still there? If so, we can kick start!
102018-10-12 16:16:40 <d3r1ck> waits...
112018-10-12 16:23:50 <mukaram> Good evening derick I was able to access the link. I saw the agenda of our meeting
122018-10-12 16:24:34 <d3r1ck> Okay!
132018-10-12 16:24:52 <mukaram> Yes we can start well
142018-10-12 16:24:52 <d3r1ck> Let's start with point 5
152018-10-12 16:25:07 <d3r1ck> Do you have any questions? Around MW development?
162018-10-12 16:25:18 <r054l13> hello
172018-10-12 16:25:25 <mukaram> There are two of us today? Where are the others
182018-10-12 16:25:25 <d3r1ck> o/
192018-10-12 16:25:33 <d3r1ck> mukaram: Maybe they'll come
202018-10-12 16:25:49 <d3r1ck> r054l13: o/
212018-10-12 16:26:10 <r054l13> Sorry am late. was a little difficult for me to make it . but am there :)
222018-10-12 16:26:25 <r054l13> mukaram: I am around so we 3
232018-10-12 16:26:36 <d3r1ck> leaves the floor!
242018-10-12 16:27:35 <r054l13> maybe I should write a reminder email now for those online to join
252018-10-12 16:27:51 <d3r1ck> I already did that!
262018-10-12 16:27:54 <d3r1ck> Long ago
272018-10-12 16:28:14 <r054l13> ya! just saw your email. thanks
282018-10-12 16:28:57 <r054l13> Our agenda today
292018-10-12 16:29:04 <r054l13> https://www.irccloud.com/pastebin/CB7Jb4v9/
302018-10-12 16:29:31 <r054l13> better still https://phabricator.wikimedia.org/T201679
312018-10-12 16:30:15 <d3r1ck> sure!
322018-10-12 16:31:30 <r054l13> hmm I see a new nick Lcawte. Could you please introduce yourself. except it was done and I was not yet there?
332018-10-12 16:32:13 <d3r1ck> He's been around here for a while
342018-10-12 16:32:32 <r054l13> alright. So I'll pass
352018-10-12 16:33:12 <r054l13> Welcome everyone to the 11th AWMD IRC meeting :)
362018-10-12 16:33:30 <r054l13> the next point is a showcase of T206401
372018-10-12 16:33:46 <r054l13> d3r1ck: You have the floor please. :D
382018-10-12 16:33:51 <d3r1ck> So that is a calendar
392018-10-12 16:33:57 <d3r1ck> For deployment of related tools
402018-10-12 16:34:12 <d3r1ck> Right now we have just 1 project which is the codebase for the stats tool
412018-10-12 16:34:21 <d3r1ck> Here is the tool: https://tools.wmflabs.org/awmd-stats/
422018-10-12 16:34:45 <mukaram> I saw several programs in the day. CGi is Google Code In does not it? If so what is it in other programs?
432018-10-12 16:34:47 <d3r1ck> In the long run, when we want to work on projects, we'll follow the deployment calendar
442018-10-12 16:34:54 <d3r1ck> To do stuff in an orderly fashon
452018-10-12 16:34:57 <d3r1ck> *fashion
462018-10-12 16:35:08 <d3r1ck> So to be able to use the calendar, see here: https://phabricator.wikimedia.org/T206403
472018-10-12 16:35:25 <d3r1ck> Once you read the docs written there, you'll know how the calendar is being used. Thanks
482018-10-12 16:35:35 <d3r1ck> Showcase closed!
492018-10-12 16:35:44 <r054l13> d3r1ck: Alright thank you
502018-10-12 16:35:51 <d3r1ck> mukaram: It's GCI = Google Code-in
512018-10-12 16:36:14 <d3r1ck> mukaram: Where did you see the programs?
522018-10-12 16:36:32 <r054l13> mukaram: Now it time to talk about GCI any Question?
532018-10-12 16:37:07 <d3r1ck> mukaram already asked a question ^^
542018-10-12 16:37:13 <r054l13> mukaram: By other programs do you mean GSoC and Outreachy?
552018-10-12 16:37:41 <d3r1ck> It will be better mukaram tells us where he/she saw that so we can better know is being raised here
562018-10-12 16:37:48 <r054l13> d3r1ck: Ya! just the Question wasn't on time :)
572018-10-12 16:38:01 <r054l13> ok
582018-10-12 16:38:17 <mukaram> I am on the GCI program as a mentor on both phabricartor and the link media wiki but my invitation is still pending. Why ?
592018-10-12 16:38:40 <wikibugs> Africa-Wikimedia-Developers, Developer-Advocacy: Africa Wikimedia Developers IRC general meeting #11 - https://phabricator.wikimedia.org/T201679 (D3r1ck01) a:rosalieper
602018-10-12 16:39:13 <d3r1ck> Okay, do you have MediaWiki experience mukaram? If so, what is your area of expertise?
612018-10-12 16:39:16 <mukaram> Sorry if I'm slow I try to follow you with my very crooked English
622018-10-12 16:39:40 <d3r1ck> No problem mukaram, take your time!
632018-10-12 16:40:16 <d3r1ck> Just checked here: https://phabricator.wikimedia.org/T203068
642018-10-12 16:40:27 <d3r1ck> Are you ahipeau?
652018-10-12 16:42:03 <d3r1ck> mukaram: ^^
662018-10-12 16:42:28 <d3r1ck> mukaram: If English is a blocker, then maybe r054l13 can continue the questions in French since you're the only one here!
672018-10-12 16:42:33 <d3r1ck> leaves the floor!
682018-10-12 16:42:56 <mukaram> MediaWiki Experience ?? My only experience is during the training program we had with Samuel. Or we took to install media wiki and know more about how it works. We also try to solve bugs with patch submission. What type of experience is it?
692018-10-12 16:43:33 <mukaram> Oui Oui c'est moi ahipeau
702018-10-12 16:44:25 <r054l13> d3r1ck: hmm I think you should elaborate more on the requirements for mentorship as you are the GCI admin this year.
712018-10-12 16:44:31 <d3r1ck> mukaram: Did you see this: https://phabricator.wikimedia.org/T203068#4656849?
722018-10-12 16:44:41 <d3r1ck> r054l13: https://phabricator.wikimedia.org/T203068#4656849
732018-10-12 16:45:11 <d3r1ck> Andre already did that! And I think interested mentors for this year should get some more experience and get in for GCI 2019
742018-10-12 16:45:15 <r054l13> d3r1ck: grt thanks
752018-10-12 16:45:22 <mukaram> Oui Oui je vois le lien
762018-10-12 16:46:29 <r054l13> mukaram: sa repond a ta question nespa?
772018-10-12 16:49:07 <mukaram> Non pas encore
782018-10-12 16:50:18 <wikibugs> Google-Code-in-2018, Growth-Team, MediaWiki-extensions-GuidedTour, Software-Licensing: GuidedTour extension repo has 3 license files - https://phabricator.wikimedia.org/T206769 (Aklapper) Let's first try to find out the potential reasons for the current situation. (I'm always cautious with legal...
792018-10-12 16:51:10 ** tybanash joined channel
802018-10-12 16:51:35 <tybanash> Hello everyone , sorry for the late entry
812018-10-12 16:51:36 <r054l13> mukaram: enfette lexperience don d3r1ck parle c si tu te sens en mesure doriente et de corrige les code contribue a mediawiki.
822018-10-12 16:51:52 <r054l13> tybanash: you welcome
832018-10-12 16:51:59 <d3r1ck> o/
842018-10-12 16:55:58 <wikibugs> Google-Code-in-2018, Growth-Team, MediaWiki-extensions-GuidedTour, Software-Licensing: GuidedTour extension repo has 3 license files - https://phabricator.wikimedia.org/T206769 (D3r1ck01) @Aklapper, honestly speaking, I'm not a lawyer too. But the issues I see are the duplicate of content in `COP...
852018-10-12 16:57:22 <wikibugs> Google-Code-in-2018, MediaWiki-extensions-Loops: Remove usage of deprecated ParserLimitReport hook (removed in MediaWiki 1.32) - https://phabricator.wikimedia.org/T206833 (Aklapper) Probably, if there is a mentor. Release-notes say "The hook 'ParserLimitReport', deprecated since 1.22, has been removed. U...
862018-10-12 16:59:30 <d3r1ck> Is the meeting over?
872018-10-12 17:06:06 <wikibugs> Google-Code-in-2018, User-Urbanecm: Use new system of getting localized messages in Urbanecm's tools - https://phabricator.wikimedia.org/T206853 (Aklapper) I've split the task into three tasks on the GCI website, to make sure that students don't collide working on the same tool.
882018-10-12 17:14:57 <d3r1ck> r054l13: ^^
892018-10-12 17:23:47 <d3r1ck> Ops, it's almost closing time everyone!
902018-10-12 17:23:53 <d3r1ck> tybanash, mukaram, r054l13 ???
912018-10-12 17:24:53 <tybanash> I came in late so I don’t know at which level the meeting was
922018-10-12 17:26:04 <d3r1ck> tybanash: Okay, please do you have any questions around your contributions to Wikimedia?
932018-10-12 17:26:28 <d3r1ck> Are you stuck on any bugs?
942018-10-12 17:28:11 <tybanash> I have seen good first bugs on phabricator but I don’t know how to go about fixing a bug
952018-10-12 17:29:34 <d3r1ck> Good first issue is where you can start
962018-10-12 17:29:41 <d3r1ck> Have you setup MW locally?
972018-10-12 17:30:15 <wikibugs> Google-Code-in-2018, ContentTranslation, UI-Standardization, CSS, and 3 others: ContentTranslation callouts need to be aligned with dialog look - https://phabricator.wikimedia.org/T206707 (Aklapper)
982018-10-12 17:30:18 ** mukaram has quit:
992018-10-12 17:30:49 <tybanash> I have set up
1002018-10-12 17:31:07 <d3r1ck> Great!
1012018-10-12 17:31:18 <d3r1ck> So have a look at the goodfirstbug and see if you can fix any
1022018-10-12 17:31:35 <d3r1ck> Usually it's not clear but just select 1 that catches your interest
1032018-10-12 17:31:40 <d3r1ck> And try to submit a patch
1042018-10-12 17:31:56 <d3r1ck> Then you'll get feedback from others if something is wrong
1052018-10-12 17:32:04 <d3r1ck> Make the first step :)
1062018-10-12 17:32:20 <tybanash> Ok
1072018-10-12 17:32:20 <d3r1ck> Meeting is officially closed but we can continue tybanash :)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 10 2018, 12:17 PM
D3r1ck01 updated the task description. (Show Details)Aug 10 2018, 4:10 PM
D3r1ck01 triaged this task as Low priority.Sep 17 2018, 6:27 PM

We can start coming up with an agenda in a few weeks time or maybe put down ideas if available :)

D3r1ck01 updated the task description. (Show Details)Sep 17 2018, 6:28 PM
D3r1ck01 updated the task description. (Show Details)
D3r1ck01 updated the task description. (Show Details)
D3r1ck01 raised the priority of this task from Low to Normal.Oct 6 2018, 6:47 PM
D3r1ck01 updated the task description. (Show Details)
rosalieper updated the task description. (Show Details)Oct 10 2018, 10:30 AM
rosalieper updated the task description. (Show Details)
Eugene233 updated the task description. (Show Details)Oct 11 2018, 6:58 PM
D3r1ck01 raised the priority of this task from Normal to High.Oct 11 2018, 7:09 PM
D3r1ck01 updated the task description. (Show Details)
D3r1ck01 updated the task description. (Show Details)Oct 12 2018, 2:07 PM